> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a new donor



## OpenAPI

````yaml post /admin/donor/{hysform_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donor/{hysform_id}:
    post:
      tags:
        - Donor
      summary: Add a new donor
      operationId: bd6b706abc3a304c0646b92999891e9a
      parameters:
        - name: hysform_id
          in: path
          description: The id of the donor form
          required: true
          schema:
            type: integer
      requestBody:
        description: Donor data
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                dn_donor_name:
                  type: string
                  example: donor name
                username:
                  type: string
                email:
                  type: string
                notify_donor:
                  description: Email template ID
                  type: integer
                  example: 337
                hysform_id:
                  type: integer
                  example: 1
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                  message:
                    type: object
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````